zenilib: zenilib/jni/external/freetype2/src/psaux/afmparse.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
afmparse.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`

Go to the source code of this file.

## Classes

struct | AFM_ValueRec_

## Macros

#define | AFM_MAX_ARGUMENTS 5

## Typedefs

typedef struct AFM_ValueRec_ * | AFM_Value
typedef struct AFM_ValueRec_ | AFM_ValueRec

## Enumerations

enum | AFM_ValueType_ { AFM_VALUE_TYPE_STRING, AFM_VALUE_TYPE_NAME, AFM_VALUE_TYPE_FIXED, AFM_VALUE_TYPE_INTEGER, AFM_VALUE_TYPE_BOOL, AFM_VALUE_TYPE_INDEX }

## Functions

| afm_parser_done (AFM_Parser parser)
FT_BEGIN_HEADER | afm_parser_init (AFM_Parser parser, FT_Memory memory, FT_Byte *base, FT_Byte *limit)
| afm_parser_next_key (AFM_Parser parser, FT_Bool line, FT_Offset *len)
| afm_parser_parse (AFM_Parser parser)
| afm_parser_read_vals (AFM_Parser parser, AFM_Value vals, FT_UInt n)

## Macro Definition Documentation

#define AFM_MAX_ARGUMENTS 5

Definition at line 70 of file afmparse.h.

Referenced by afm_parser_read_vals().

## Typedef Documentation

typedef struct AFM_ValueRec_ * AFM_Value

typedef struct AFM_ValueRec_ AFM_ValueRec

## Enumeration Type Documentation

enum AFM_ValueType_

Enumerator
AFM_VALUE_TYPE_STRING |
AFM_VALUE_TYPE_NAME |
AFM_VALUE_TYPE_FIXED |
AFM_VALUE_TYPE_INTEGER |
AFM_VALUE_TYPE_BOOL |
AFM_VALUE_TYPE_INDEX |

Definition at line 45 of file afmparse.h.

## Function Documentation

afm_parser_done | ( | AFM_Parser | parser | ) |

Definition at line 553 of file afmparse.c.

References FT_FREE.

FT_BEGIN_HEADER afm_parser_init | ( | AFM_Parser | parser,
|  | FT_Memory | memory,
|  | FT_Byte * | base,
|  | FT_Byte * | limit
| ) |  |

Definition at line 525 of file afmparse.c.

References AFM_STREAM_STATUS_EOL, error, FT_NEW, and NULL.

afm_parser_next_key | ( | AFM_Parser | parser,
|  | FT_Bool | line,
|  | FT_Offset * | len
| ) |  |

Definition at line 441 of file afmparse.c.

References AFM_STATUS_EOC, AFM_STATUS_EOF, AFM_STATUS_EOL, AFM_STREAM_KEY_LEN, afm_stream_read_one(), afm_stream_read_string(), and AFM_STREAM_STATUS_NORMAL.

Referenced by afm_parse_kern_data(), afm_parse_kern_pairs(), afm_parse_track_kern(), afm_parser_parse(), and afm_parser_skip_section().

afm_parser_parse | ( | AFM_Parser | parser | ) |

Definition at line 844 of file afmparse.c.

References afm_parse_kern_data(), afm_parser_next_key(), afm_parser_read_int(), afm_parser_read_vals(), afm_parser_skip_section(), AFM_TOKEN_ASCENDER, AFM_TOKEN_DESCENDER, AFM_TOKEN_ENDCHARMETRICS, AFM_TOKEN_ENDFONTMETRICS, AFM_TOKEN_FONTBBOX, AFM_TOKEN_ISCIDFONT, AFM_TOKEN_METRICSSETS, AFM_TOKEN_STARTCHARMETRICS, AFM_TOKEN_STARTKERNDATA, afm_tokenize(), AFM_VALUE_TYPE_BOOL, AFM_VALUE_TYPE_FIXED, AFM_FontInfoRec_::Ascender, AFM_ValueRec_::b, AFM_FontInfoRec_::Descender, error, AFM_ValueRec_::f, AFM_FontInfoRec_::FontBBox, FT_FREE, ft_strncmp, AFM_FontInfoRec_::IsCIDFont, AFM_FontInfoRec_::KernPairs, AFM_FontInfoRec_::NumKernPair, AFM_FontInfoRec_::NumTrackKern, AFM_FontInfoRec_::TrackKerns, AFM_ValueRec_::type, AFM_ValueRec_::u, FT_BBox_::xMax, FT_BBox_::xMin, FT_BBox_::yMax, and FT_BBox_::yMin.

afm_parser_read_vals | ( | AFM_Parser | parser,
|  | AFM_Value | vals,
|  | FT_UInt | n
| ) |  |

Definition at line 367 of file afmparse.c.

References AFM_MAX_ARGUMENTS, AFM_STREAM_KEY_LEN, afm_stream_read_one(), afm_stream_read_string(), AFM_VALUE_TYPE_BOOL, AFM_VALUE_TYPE_FIXED, AFM_VALUE_TYPE_INDEX, AFM_VALUE_TYPE_INTEGER, AFM_VALUE_TYPE_NAME, AFM_VALUE_TYPE_STRING, AFM_ValueRec_::b, error, AFM_ValueRec_::f, FT_BOOL, ft_memcpy, FT_QALLOC, ft_strncmp, AFM_ValueRec_::i, i, PS_Conv_ToFixed(), PS_Conv_ToInt(), AFM_ValueRec_::s, str, AFM_ValueRec_::type, and AFM_ValueRec_::u.

Referenced by afm_parse_kern_pairs(), afm_parse_track_kern(), afm_parser_parse(), and afm_parser_read_int().